%define anolis_release 1
Name:           libgtop2
Version:        2.41.2
Release:        %{anolis_release}%{?dist}
Summary:        LibGTop library (version 2)

License:        GPL-2.0-or-later
URL:            https://download.gnome.org/sources/libgtop
Source0:        https://download.gnome.org/sources/libgtop/2.41/libgtop-%{version}.tar.xz

BuildRequires:  pkgconfig(gobject-2.0) >= 2.26.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gettext
BuildRequires:  make

%description
LibGTop is a library for portably obtaining information about processes,
such as their PID, memory usage, etc.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.
 
%package        devel
Summary:        Libraries and include files for developing with libgtop
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides the necessary development libraries and include
files to allow you to develop with LibGTop.

%prep
%autosetup -p1 -n libgtop-%{version}

%build
%configure --disable-gtk-doc --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete


%find_lang libgtop

%ldconfig_scriptlets

%files -f libgtop.lang
%license COPYING
%{_libexecdir}/libgtop_daemon2
%{_libexecdir}/libgtop_server2
%{_libdir}/libgtop-2.0.so.11*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GTop-2.0.typelib

%files doc
%doc AUTHORS NEWS README

%files devel
%{_libdir}/libgtop-2.0.so
%{_includedir}/libgtop-2.0
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GTop-2.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libgtop
%exclude %{_datadir}/info

%changelog
* Mon Feb 24 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 2.41.2-1
- Refer to CentOS Stream libgtop2-2.41.2-5 (tdawson@redhat.com)

* Mon Jan 16 2023 Funda Wang <fundawang@yeah.net> - 2.41.1-1
- New version 2.41.1

* Tue May 10 2022 gaochang <taifu.gc@alibaba-inc.com> - 2.40.0-1
- Init from upstream 2.40.0
